﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web.Http;

namespace DotNet.Integrations.SampleWebApi
{
    public static class WebApiConfig
    {
        public static void Register(HttpConfiguration config)
        {
            // Web API configuration and services

            // Web API routes
            config.MapHttpAttributeRoutes();

            config.Routes.MapHttpRoute(
                name: "LinkUnLinkTicket",
                routeTemplate: "api/{controller}/{action}/{chatid}/{sampleticketnumber}/{chatname}/{visitemailaddress}"
            );

            config.Routes.MapHttpRoute(
                name: "Services",
                routeTemplate: "api/{controller}/{action}/{auth}/{chatid}/{ticketid}"
            );

            config.Routes.MapHttpRoute(
                name: "SearchTicket",
                routeTemplate: "api/{controller}/{action}/{ticketid}"
            );

            config.Routes.MapHttpRoute(
                name: "DefaultApi",
                routeTemplate: "api/{controller}/{ticketid}",
                defaults: new { ticketid = RouteParameter.Optional }
            );

        }
    }
}
