﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace DotNet.Integrations.Models
{
    public class AuthToken_org
    {

        public Int64 GetTimeStamp { get; set; }
        public Int64 GetIntegrationId { get; set; }
        public Int64 GetAccountId { get; set; }
        public bool HasAuthHash { get; set; }

        private string apiKey { get; set; }
        public AuthToken_org(string apiKey)
        {
            this.apiKey = apiKey;

            int ci = apiKey.IndexOf(":");
            if (ci == -1) return;

            int ci2 = apiKey.IndexOf(":", ci + 1);
            if (ci2 == -1) return;

            int ci3 = apiKey.IndexOf(":", ci2 + 1);

            this.GetAccountId = Int64.Parse(apiKey.Substring(0, ci));
            this.GetIntegrationId = Int64.Parse(apiKey.Substring(ci+1, ci2));
            bool hasLastColon = ci3 > -1;
            this.GetTimeStamp = Int64.Parse(apiKey.Substring(ci2 + 1, hasLastColon ? ci3 : apiKey.Length));
            this.HasAuthHash = hasLastColon && ci3 + 1 < apiKey.Length;
        }
    }
}