﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DotNet.Integrations.Models;

namespace DotNet.Integrations.Models
{
    public interface ISampleApi
    {
        TicketIntegrationContext GetTicket(string ticketId);
        IEnumerable<TicketIntegrationContext> SearchTickets(string number, string name, string email);
        bool LinkTicket(IDictionary<string, string> parameters, AuthToken authToken);
        bool UnlinkTicket(IDictionary<string, string> parameters, AuthToken authToken);
        //bool UpdateChat(System.Web.HttpRequest request);
        //bool AddChatIncident(System.Web.HttpRequest request);
        //bool RemoveChatIncidents(System.Web.HttpRequest request);
    }
}
