﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DotNet.Integrations.Models
{
    [Serializable]
    public class ReturnContext<T> 
    {
        protected readonly string Status;
        protected readonly T Message;

        public ReturnContext(bool isSuccess, T message)
        {
            if (isSuccess)
            {
                this.Status = "success";
            }
            else
            {
                this.Status = "Definitely Not OK";
            }
            this.Message = message;
        }
    }
}
